API Documentation
Kuali Research REST APIs - System
Research System ¶
Action Attributes ¶
Get Action Attributes by KeyGET/research-sys/api/v1/action-attributes/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}Get All Action AttributesGET/research-sys/api/v1/action-attributes/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]Get All Action Attributes with FilteringGET/research-sys/api/v1/action-attributes/
Example URI
- id
string(optional)- value
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Action AttributesGET/research-sys/api/v1/action-attributes/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"id",
"value"
],
"primaryKey": "id"
}Get Blueprint API specification for Action AttributesGET/research-sys/api/v1/action-attributes/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Action Attributes.md"
transfer-encoding: chunkedUpdate Action AttributesPUT/research-sys/api/v1/action-attributes/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Action AttributesPUT/research-sys/api/v1/action-attributes/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Action AttributesPATCH/research-sys/api/v1/action-attributes/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}204Body
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}Insert Action AttributesPOST/research-sys/api/v1/action-attributes/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}201Body
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Action AttributesPOST/research-sys/api/v1/action-attributes/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]Delete Action Attributes by KeyDELETE/research-sys/api/v1/action-attributes/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Action AttributesDELETE/research-sys/api/v1/action-attributes/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Action Attributes with MatchingDELETE/research-sys/api/v1/action-attributes/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- id
string(optional)- value
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Actions ¶
Get Actions by KeyGET/research-sys/api/v1/actions/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "(val)",
"namespace": "(val)",
"name": "(val)",
"description": "(val)",
"typeId": "(val)",
"sequenceNumber": "(val)",
"_primaryKey": "(val)"
}Get All ActionsGET/research-sys/api/v1/actions/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"namespace": "(val)",
"name": "(val)",
"description": "(val)",
"typeId": "(val)",
"sequenceNumber": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"namespace": "(val)",
"name": "(val)",
"description": "(val)",
"typeId": "(val)",
"sequenceNumber": "(val)",
"_primaryKey": "(val)"
}
]Get All Actions with FilteringGET/research-sys/api/v1/actions/
Example URI
- id
string(optional)Action Id.
- namespace
string(optional)Action Namespace.
- name
string(optional)Action Name.
- description
string(optional)Action Description.
- typeId
string(optional)Action Type Id.
- sequenceNumber
string(optional)Sequence Number.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"namespace": "(val)",
"name": "(val)",
"description": "(val)",
"typeId": "(val)",
"sequenceNumber": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"namespace": "(val)",
"name": "(val)",
"description": "(val)",
"typeId": "(val)",
"sequenceNumber": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for ActionsGET/research-sys/api/v1/actions/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"id",
"namespace",
"name",
"description",
"typeId",
"sequenceNumber"
],
"primaryKey": "id"
}Get Blueprint API specification for ActionsGET/research-sys/api/v1/actions/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Actions.md"
transfer-encoding: chunkedUpdate ActionsPUT/research-sys/api/v1/actions/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"namespace": "(val)",
"name": "(val)",
"description": "(val)",
"typeId": "(val)",
"sequenceNumber": "(val)",
"_primaryKey": "(val)"
}204Update Multiple ActionsPUT/research-sys/api/v1/actions/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"namespace": "(val)",
"name": "(val)",
"description": "(val)",
"typeId": "(val)",
"sequenceNumber": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"namespace": "(val)",
"name": "(val)",
"description": "(val)",
"typeId": "(val)",
"sequenceNumber": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes ActionsPATCH/research-sys/api/v1/actions/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"namespace": "(val)",
"name": "(val)",
"description": "(val)",
"typeId": "(val)",
"sequenceNumber": "(val)",
"_primaryKey": "(val)"
}204Body
{
"id": "(val)",
"namespace": "(val)",
"name": "(val)",
"description": "(val)",
"typeId": "(val)",
"sequenceNumber": "(val)",
"_primaryKey": "(val)"
}Insert ActionsPOST/research-sys/api/v1/actions/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"namespace": "(val)",
"name": "(val)",
"description": "(val)",
"typeId": "(val)",
"sequenceNumber": "(val)",
"_primaryKey": "(val)"
}201Body
{
"id": "(val)",
"namespace": "(val)",
"name": "(val)",
"description": "(val)",
"typeId": "(val)",
"sequenceNumber": "(val)",
"_primaryKey": "(val)"
}Insert Multiple ActionsPOST/research-sys/api/v1/actions/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"namespace": "(val)",
"name": "(val)",
"description": "(val)",
"typeId": "(val)",
"sequenceNumber": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"namespace": "(val)",
"name": "(val)",
"description": "(val)",
"typeId": "(val)",
"sequenceNumber": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"id": "(val)",
"namespace": "(val)",
"name": "(val)",
"description": "(val)",
"typeId": "(val)",
"sequenceNumber": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"namespace": "(val)",
"name": "(val)",
"description": "(val)",
"typeId": "(val)",
"sequenceNumber": "(val)",
"_primaryKey": "(val)"
}
]Delete Actions by KeyDELETE/research-sys/api/v1/actions/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All ActionsDELETE/research-sys/api/v1/actions/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Actions with MatchingDELETE/research-sys/api/v1/actions/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- id
string(optional)Action Id.
- namespace
string(optional)Action Namespace.
- name
string(optional)Action Name.
- description
string(optional)Action Description.
- typeId
string(optional)Action Type Id.
- sequenceNumber
string(optional)Sequence Number.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Agenda Attributes ¶
Get Agenda Attributes by KeyGET/research-sys/api/v1/agenda-attributes/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}Get All Agenda AttributesGET/research-sys/api/v1/agenda-attributes/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]Get All Agenda Attributes with FilteringGET/research-sys/api/v1/agenda-attributes/
Example URI
- id
string(optional)- value
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Agenda AttributesGET/research-sys/api/v1/agenda-attributes/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"id",
"value"
],
"primaryKey": "id"
}Get Blueprint API specification for Agenda AttributesGET/research-sys/api/v1/agenda-attributes/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Agenda Attributes.md"
transfer-encoding: chunkedUpdate Agenda AttributesPUT/research-sys/api/v1/agenda-attributes/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Agenda AttributesPUT/research-sys/api/v1/agenda-attributes/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Agenda AttributesPATCH/research-sys/api/v1/agenda-attributes/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}204Body
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}Insert Agenda AttributesPOST/research-sys/api/v1/agenda-attributes/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}201Body
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Agenda AttributesPOST/research-sys/api/v1/agenda-attributes/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]Delete Agenda Attributes by KeyDELETE/research-sys/api/v1/agenda-attributes/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Agenda AttributesDELETE/research-sys/api/v1/agenda-attributes/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Agenda Attributes with MatchingDELETE/research-sys/api/v1/agenda-attributes/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- id
string(optional)- value
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Agenda Items ¶
Get Agenda Items by KeyGET/research-sys/api/v1/agenda-items/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "(val)",
"agendaId": "(val)",
"subAgendaId": "(val)",
"whenTrueId": "(val)",
"whenFalseId": "(val)",
"alwaysId": "(val)",
"_primaryKey": "(val)"
}Get All Agenda ItemsGET/research-sys/api/v1/agenda-items/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"agendaId": "(val)",
"subAgendaId": "(val)",
"whenTrueId": "(val)",
"whenFalseId": "(val)",
"alwaysId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"agendaId": "(val)",
"subAgendaId": "(val)",
"whenTrueId": "(val)",
"whenFalseId": "(val)",
"alwaysId": "(val)",
"_primaryKey": "(val)"
}
]Get All Agenda Items with FilteringGET/research-sys/api/v1/agenda-items/
Example URI
- id
string(optional)Id.
- agendaId
string(optional)Agenda Id.
- subAgendaId
string(optional)Sub-Agenda Id.
- whenTrueId
string(optional)whenTrue Id.
- whenFalseId
string(optional)whenFalse Id.
- alwaysId
string(optional)Always Id.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"agendaId": "(val)",
"subAgendaId": "(val)",
"whenTrueId": "(val)",
"whenFalseId": "(val)",
"alwaysId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"agendaId": "(val)",
"subAgendaId": "(val)",
"whenTrueId": "(val)",
"whenFalseId": "(val)",
"alwaysId": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Agenda ItemsGET/research-sys/api/v1/agenda-items/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"id",
"agendaId",
"subAgendaId",
"whenTrueId",
"whenFalseId",
"alwaysId"
],
"primaryKey": "id"
}Get Blueprint API specification for Agenda ItemsGET/research-sys/api/v1/agenda-items/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Agenda Items.md"
transfer-encoding: chunkedUpdate Agenda ItemsPUT/research-sys/api/v1/agenda-items/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"agendaId": "(val)",
"subAgendaId": "(val)",
"whenTrueId": "(val)",
"whenFalseId": "(val)",
"alwaysId": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Agenda ItemsPUT/research-sys/api/v1/agenda-items/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"agendaId": "(val)",
"subAgendaId": "(val)",
"whenTrueId": "(val)",
"whenFalseId": "(val)",
"alwaysId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"agendaId": "(val)",
"subAgendaId": "(val)",
"whenTrueId": "(val)",
"whenFalseId": "(val)",
"alwaysId": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Agenda ItemsPATCH/research-sys/api/v1/agenda-items/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"agendaId": "(val)",
"subAgendaId": "(val)",
"whenTrueId": "(val)",
"whenFalseId": "(val)",
"alwaysId": "(val)",
"_primaryKey": "(val)"
}204Body
{
"id": "(val)",
"agendaId": "(val)",
"subAgendaId": "(val)",
"whenTrueId": "(val)",
"whenFalseId": "(val)",
"alwaysId": "(val)",
"_primaryKey": "(val)"
}Insert Agenda ItemsPOST/research-sys/api/v1/agenda-items/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"agendaId": "(val)",
"subAgendaId": "(val)",
"whenTrueId": "(val)",
"whenFalseId": "(val)",
"alwaysId": "(val)",
"_primaryKey": "(val)"
}201Body
{
"id": "(val)",
"agendaId": "(val)",
"subAgendaId": "(val)",
"whenTrueId": "(val)",
"whenFalseId": "(val)",
"alwaysId": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Agenda ItemsPOST/research-sys/api/v1/agenda-items/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"agendaId": "(val)",
"subAgendaId": "(val)",
"whenTrueId": "(val)",
"whenFalseId": "(val)",
"alwaysId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"agendaId": "(val)",
"subAgendaId": "(val)",
"whenTrueId": "(val)",
"whenFalseId": "(val)",
"alwaysId": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"id": "(val)",
"agendaId": "(val)",
"subAgendaId": "(val)",
"whenTrueId": "(val)",
"whenFalseId": "(val)",
"alwaysId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"agendaId": "(val)",
"subAgendaId": "(val)",
"whenTrueId": "(val)",
"whenFalseId": "(val)",
"alwaysId": "(val)",
"_primaryKey": "(val)"
}
]Delete Agenda Items by KeyDELETE/research-sys/api/v1/agenda-items/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Agenda ItemsDELETE/research-sys/api/v1/agenda-items/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Agenda Items with MatchingDELETE/research-sys/api/v1/agenda-items/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- id
string(optional)Id.
- agendaId
string(optional)Agenda Id.
- subAgendaId
string(optional)Sub-Agenda Id.
- whenTrueId
string(optional)whenTrue Id.
- whenFalseId
string(optional)whenFalse Id.
- alwaysId
string(optional)Always Id.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Agendas ¶
Get Agendas by KeyGET/research-sys/api/v1/agendas/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "(val)",
"name": "(val)",
"typeId": "(val)",
"contextId": "(val)",
"active": "(val)",
"firstItemId": "(val)",
"_primaryKey": "(val)"
}Get All AgendasGET/research-sys/api/v1/agendas/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"name": "(val)",
"typeId": "(val)",
"contextId": "(val)",
"active": "(val)",
"firstItemId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"name": "(val)",
"typeId": "(val)",
"contextId": "(val)",
"active": "(val)",
"firstItemId": "(val)",
"_primaryKey": "(val)"
}
]Get All Agendas with FilteringGET/research-sys/api/v1/agendas/
Example URI
- id
string(optional)Agenda Id.
- name
string(optional)Agenda Name.
- typeId
string(optional)Agenda typeId.
- contextId
string(optional)Agenda contextId.
- active
string(optional)This attribute is used to describe whether the associated object is active or inactive. Maximum length is 1.
- firstItemId
string(optional)First Item Id.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"name": "(val)",
"typeId": "(val)",
"contextId": "(val)",
"active": "(val)",
"firstItemId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"name": "(val)",
"typeId": "(val)",
"contextId": "(val)",
"active": "(val)",
"firstItemId": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for AgendasGET/research-sys/api/v1/agendas/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"id",
"name",
"typeId",
"contextId",
"active",
"firstItemId"
],
"primaryKey": "id"
}Get Blueprint API specification for AgendasGET/research-sys/api/v1/agendas/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Agendas.md"
transfer-encoding: chunkedUpdate AgendasPUT/research-sys/api/v1/agendas/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"name": "(val)",
"typeId": "(val)",
"contextId": "(val)",
"active": "(val)",
"firstItemId": "(val)",
"_primaryKey": "(val)"
}204Update Multiple AgendasPUT/research-sys/api/v1/agendas/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"name": "(val)",
"typeId": "(val)",
"contextId": "(val)",
"active": "(val)",
"firstItemId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"name": "(val)",
"typeId": "(val)",
"contextId": "(val)",
"active": "(val)",
"firstItemId": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes AgendasPATCH/research-sys/api/v1/agendas/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"name": "(val)",
"typeId": "(val)",
"contextId": "(val)",
"active": "(val)",
"firstItemId": "(val)",
"_primaryKey": "(val)"
}204Body
{
"id": "(val)",
"name": "(val)",
"typeId": "(val)",
"contextId": "(val)",
"active": "(val)",
"firstItemId": "(val)",
"_primaryKey": "(val)"
}Insert AgendasPOST/research-sys/api/v1/agendas/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"name": "(val)",
"typeId": "(val)",
"contextId": "(val)",
"active": "(val)",
"firstItemId": "(val)",
"_primaryKey": "(val)"
}201Body
{
"id": "(val)",
"name": "(val)",
"typeId": "(val)",
"contextId": "(val)",
"active": "(val)",
"firstItemId": "(val)",
"_primaryKey": "(val)"
}Insert Multiple AgendasPOST/research-sys/api/v1/agendas/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"name": "(val)",
"typeId": "(val)",
"contextId": "(val)",
"active": "(val)",
"firstItemId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"name": "(val)",
"typeId": "(val)",
"contextId": "(val)",
"active": "(val)",
"firstItemId": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"id": "(val)",
"name": "(val)",
"typeId": "(val)",
"contextId": "(val)",
"active": "(val)",
"firstItemId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"name": "(val)",
"typeId": "(val)",
"contextId": "(val)",
"active": "(val)",
"firstItemId": "(val)",
"_primaryKey": "(val)"
}
]Delete Agendas by KeyDELETE/research-sys/api/v1/agendas/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All AgendasDELETE/research-sys/api/v1/agendas/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Agendas with MatchingDELETE/research-sys/api/v1/agendas/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- id
string(optional)Agenda Id.
- name
string(optional)Agenda Name.
- typeId
string(optional)Agenda typeId.
- contextId
string(optional)Agenda contextId.
- active
string(optional)This attribute is used to describe whether the associated object is active or inactive. Maximum length is 1.
- firstItemId
string(optional)First Item Id.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Attachments ¶
Get Attachments by KeyGET/research-sys/api/v1/attachments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"noteIdentifier": "(val)",
"attachmentMimeTypeCode": "(val)",
"attachmentFileName": "(val)",
"attachmentIdentifier": "(val)",
"attachmentFileSize": "(val)",
"attachmentTypeCode": "(val)",
"_primaryKey": "(val)"
}Get All AttachmentsGET/research-sys/api/v1/attachments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"noteIdentifier": "(val)",
"attachmentMimeTypeCode": "(val)",
"attachmentFileName": "(val)",
"attachmentIdentifier": "(val)",
"attachmentFileSize": "(val)",
"attachmentTypeCode": "(val)",
"_primaryKey": "(val)"
},
{
"noteIdentifier": "(val)",
"attachmentMimeTypeCode": "(val)",
"attachmentFileName": "(val)",
"attachmentIdentifier": "(val)",
"attachmentFileSize": "(val)",
"attachmentTypeCode": "(val)",
"_primaryKey": "(val)"
}
]Get All Attachments with FilteringGET/research-sys/api/v1/attachments/
Example URI
- noteIdentifier
string(optional)noteIdentifier description… Maximum length is 14.
- attachmentMimeTypeCode
string(optional)attachmentMimeTypeCode description… Maximum length is 40.
- attachmentFileName
string(optional)attachmentFileName description… Maximum length is 250.
- attachmentIdentifier
string(optional)attachmentIdentifier description… Maximum length is 36.
- attachmentFileSize
string(optional)attachmentFileSize description… Maximum length is 14.
- attachmentTypeCode
string(optional)attachmentTypeCode description… Maximum length is 2.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"noteIdentifier": "(val)",
"attachmentMimeTypeCode": "(val)",
"attachmentFileName": "(val)",
"attachmentIdentifier": "(val)",
"attachmentFileSize": "(val)",
"attachmentTypeCode": "(val)",
"_primaryKey": "(val)"
},
{
"noteIdentifier": "(val)",
"attachmentMimeTypeCode": "(val)",
"attachmentFileName": "(val)",
"attachmentIdentifier": "(val)",
"attachmentFileSize": "(val)",
"attachmentTypeCode": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for AttachmentsGET/research-sys/api/v1/attachments/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"noteIdentifier",
"attachmentMimeTypeCode",
"attachmentFileName",
"attachmentIdentifier",
"attachmentFileSize",
"attachmentTypeCode"
],
"primaryKey": "noteIdentifier"
}Get Blueprint API specification for AttachmentsGET/research-sys/api/v1/attachments/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Attachments.md"
transfer-encoding: chunkedUpdate AttachmentsPUT/research-sys/api/v1/attachments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"noteIdentifier": "(val)",
"attachmentMimeTypeCode": "(val)",
"attachmentFileName": "(val)",
"attachmentIdentifier": "(val)",
"attachmentFileSize": "(val)",
"attachmentTypeCode": "(val)",
"_primaryKey": "(val)"
}204Update Multiple AttachmentsPUT/research-sys/api/v1/attachments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"noteIdentifier": "(val)",
"attachmentMimeTypeCode": "(val)",
"attachmentFileName": "(val)",
"attachmentIdentifier": "(val)",
"attachmentFileSize": "(val)",
"attachmentTypeCode": "(val)",
"_primaryKey": "(val)"
},
{
"noteIdentifier": "(val)",
"attachmentMimeTypeCode": "(val)",
"attachmentFileName": "(val)",
"attachmentIdentifier": "(val)",
"attachmentFileSize": "(val)",
"attachmentTypeCode": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes AttachmentsPATCH/research-sys/api/v1/attachments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"noteIdentifier": "(val)",
"attachmentMimeTypeCode": "(val)",
"attachmentFileName": "(val)",
"attachmentIdentifier": "(val)",
"attachmentFileSize": "(val)",
"attachmentTypeCode": "(val)",
"_primaryKey": "(val)"
}204Body
{
"noteIdentifier": "(val)",
"attachmentMimeTypeCode": "(val)",
"attachmentFileName": "(val)",
"attachmentIdentifier": "(val)",
"attachmentFileSize": "(val)",
"attachmentTypeCode": "(val)",
"_primaryKey": "(val)"
}Insert AttachmentsPOST/research-sys/api/v1/attachments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"noteIdentifier": "(val)",
"attachmentMimeTypeCode": "(val)",
"attachmentFileName": "(val)",
"attachmentIdentifier": "(val)",
"attachmentFileSize": "(val)",
"attachmentTypeCode": "(val)",
"_primaryKey": "(val)"
}201Body
{
"noteIdentifier": "(val)",
"attachmentMimeTypeCode": "(val)",
"attachmentFileName": "(val)",
"attachmentIdentifier": "(val)",
"attachmentFileSize": "(val)",
"attachmentTypeCode": "(val)",
"_primaryKey": "(val)"
}Insert Multiple AttachmentsPOST/research-sys/api/v1/attachments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"noteIdentifier": "(val)",
"attachmentMimeTypeCode": "(val)",
"attachmentFileName": "(val)",
"attachmentIdentifier": "(val)",
"attachmentFileSize": "(val)",
"attachmentTypeCode": "(val)",
"_primaryKey": "(val)"
},
{
"noteIdentifier": "(val)",
"attachmentMimeTypeCode": "(val)",
"attachmentFileName": "(val)",
"attachmentIdentifier": "(val)",
"attachmentFileSize": "(val)",
"attachmentTypeCode": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"noteIdentifier": "(val)",
"attachmentMimeTypeCode": "(val)",
"attachmentFileName": "(val)",
"attachmentIdentifier": "(val)",
"attachmentFileSize": "(val)",
"attachmentTypeCode": "(val)",
"_primaryKey": "(val)"
},
{
"noteIdentifier": "(val)",
"attachmentMimeTypeCode": "(val)",
"attachmentFileName": "(val)",
"attachmentIdentifier": "(val)",
"attachmentFileSize": "(val)",
"attachmentTypeCode": "(val)",
"_primaryKey": "(val)"
}
]Delete Attachments by KeyDELETE/research-sys/api/v1/attachments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All AttachmentsDELETE/research-sys/api/v1/attachments/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Attachments with MatchingDELETE/research-sys/api/v1/attachments/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- noteIdentifier
string(optional)noteIdentifier description… Maximum length is 14.
- attachmentMimeTypeCode
string(optional)attachmentMimeTypeCode description… Maximum length is 40.
- attachmentFileName
string(optional)attachmentFileName description… Maximum length is 250.
- attachmentIdentifier
string(optional)attachmentIdentifier description… Maximum length is 36.
- attachmentFileSize
string(optional)attachmentFileSize description… Maximum length is 14.
- attachmentTypeCode
string(optional)attachmentTypeCode description… Maximum length is 2.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Campus Types ¶
Get Campus Types by KeyGET/research-sys/api/v1/campus-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Get All Campus TypesGET/research-sys/api/v1/campus-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Get All Campus Types with FilteringGET/research-sys/api/v1/campus-types/
Example URI
- code
string(optional)campusTypeCode description… Maximum length is 1.
- name
string(optional)campusTypeName description… Maximum length is 40.
- active
string(optional)Active.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Campus TypesGET/research-sys/api/v1/campus-types/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"code",
"name",
"active"
],
"primaryKey": "code"
}Get Blueprint API specification for Campus TypesGET/research-sys/api/v1/campus-types/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Campus Types.md"
transfer-encoding: chunkedUpdate Campus TypesPUT/research-sys/api/v1/campus-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Campus TypesPUT/research-sys/api/v1/campus-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Campus TypesPATCH/research-sys/api/v1/campus-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}204Body
{
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Insert Campus TypesPOST/research-sys/api/v1/campus-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}201Body
{
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Campus TypesPOST/research-sys/api/v1/campus-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Delete Campus Types by KeyDELETE/research-sys/api/v1/campus-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Campus TypesDELETE/research-sys/api/v1/campus-types/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Campus Types with MatchingDELETE/research-sys/api/v1/campus-types/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- code
string(optional)campusTypeCode description… Maximum length is 1.
- name
string(optional)campusTypeName description… Maximum length is 40.
- active
string(optional)Active.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Campuses ¶
Get Campuses by KeyGET/research-sys/api/v1/campuses/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"code": "(val)",
"name": "(val)",
"shortName": "(val)",
"campusTypeCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Get All CampusesGET/research-sys/api/v1/campuses/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"code": "(val)",
"name": "(val)",
"shortName": "(val)",
"campusTypeCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"name": "(val)",
"shortName": "(val)",
"campusTypeCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Get All Campuses with FilteringGET/research-sys/api/v1/campuses/
Example URI
- code
string(optional)The code uniquely identifying a particular campus. Maximum length is 2.
- name
string(optional)Campus Name… Maximum length is 40.
- shortName
string(optional)Short Name… Maximum length is 12.
- campusTypeCode
string(optional)The code identifying type of campus. Maximum length is 2.
- active
string(optional)This attribute is used to describe whether the associated object is active or inactive. Maximum length is 1.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"code": "(val)",
"name": "(val)",
"shortName": "(val)",
"campusTypeCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"name": "(val)",
"shortName": "(val)",
"campusTypeCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for CampusesGET/research-sys/api/v1/campuses/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"code",
"name",
"shortName",
"campusTypeCode",
"active"
],
"primaryKey": "code"
}Get Blueprint API specification for CampusesGET/research-sys/api/v1/campuses/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Campuses.md"
transfer-encoding: chunkedUpdate CampusesPUT/research-sys/api/v1/campuses/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"code": "(val)",
"name": "(val)",
"shortName": "(val)",
"campusTypeCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}204Update Multiple CampusesPUT/research-sys/api/v1/campuses/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"code": "(val)",
"name": "(val)",
"shortName": "(val)",
"campusTypeCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"name": "(val)",
"shortName": "(val)",
"campusTypeCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes CampusesPATCH/research-sys/api/v1/campuses/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"code": "(val)",
"name": "(val)",
"shortName": "(val)",
"campusTypeCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}204Body
{
"code": "(val)",
"name": "(val)",
"shortName": "(val)",
"campusTypeCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Insert CampusesPOST/research-sys/api/v1/campuses/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"code": "(val)",
"name": "(val)",
"shortName": "(val)",
"campusTypeCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}201Body
{
"code": "(val)",
"name": "(val)",
"shortName": "(val)",
"campusTypeCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Insert Multiple CampusesPOST/research-sys/api/v1/campuses/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"code": "(val)",
"name": "(val)",
"shortName": "(val)",
"campusTypeCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"name": "(val)",
"shortName": "(val)",
"campusTypeCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"code": "(val)",
"name": "(val)",
"shortName": "(val)",
"campusTypeCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"name": "(val)",
"shortName": "(val)",
"campusTypeCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Delete Campuses by KeyDELETE/research-sys/api/v1/campuses/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All CampusesDELETE/research-sys/api/v1/campuses/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Campuses with MatchingDELETE/research-sys/api/v1/campuses/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- code
string(optional)The code uniquely identifying a particular campus. Maximum length is 2.
- name
string(optional)Campus Name… Maximum length is 40.
- shortName
string(optional)Short Name… Maximum length is 12.
- campusTypeCode
string(optional)The code identifying type of campus. Maximum length is 2.
- active
string(optional)This attribute is used to describe whether the associated object is active or inactive. Maximum length is 1.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Categories ¶
Get Categories by KeyGET/research-sys/api/v1/categories/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"_primaryKey": "(val)"
}Get All CategoriesGET/research-sys/api/v1/categories/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"_primaryKey": "(val)"
}
]Get All Categories with FilteringGET/research-sys/api/v1/categories/
Example URI
- id
string(optional)ID.
- name
string(optional)Name.
- namespace
string(optional)Namespace.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for CategoriesGET/research-sys/api/v1/categories/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"id",
"name",
"namespace"
],
"primaryKey": "id"
}Get Blueprint API specification for CategoriesGET/research-sys/api/v1/categories/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Categories.md"
transfer-encoding: chunkedUpdate CategoriesPUT/research-sys/api/v1/categories/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"_primaryKey": "(val)"
}204Update Multiple CategoriesPUT/research-sys/api/v1/categories/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes CategoriesPATCH/research-sys/api/v1/categories/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"_primaryKey": "(val)"
}204Body
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"_primaryKey": "(val)"
}Insert CategoriesPOST/research-sys/api/v1/categories/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"_primaryKey": "(val)"
}201Body
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"_primaryKey": "(val)"
}Insert Multiple CategoriesPOST/research-sys/api/v1/categories/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"_primaryKey": "(val)"
}
]Delete Categories by KeyDELETE/research-sys/api/v1/categories/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All CategoriesDELETE/research-sys/api/v1/categories/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Categories with MatchingDELETE/research-sys/api/v1/categories/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- id
string(optional)ID.
- name
string(optional)Name.
- namespace
string(optional)Namespace.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Component Sets ¶
Get Component Sets by KeyGET/research-sys/api/v1/component-sets/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"componentSetId": "(val)",
"lastUpdateTimestamp": "(val)",
"checksum": "(val)",
"_primaryKey": "(val)"
}Get All Component SetsGET/research-sys/api/v1/component-sets/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"componentSetId": "(val)",
"lastUpdateTimestamp": "(val)",
"checksum": "(val)",
"_primaryKey": "(val)"
},
{
"componentSetId": "(val)",
"lastUpdateTimestamp": "(val)",
"checksum": "(val)",
"_primaryKey": "(val)"
}
]Get All Component Sets with FilteringGET/research-sys/api/v1/component-sets/
Example URI
- componentSetId
string(optional)- lastUpdateTimestamp
string(optional)- checksum
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"componentSetId": "(val)",
"lastUpdateTimestamp": "(val)",
"checksum": "(val)",
"_primaryKey": "(val)"
},
{
"componentSetId": "(val)",
"lastUpdateTimestamp": "(val)",
"checksum": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Component SetsGET/research-sys/api/v1/component-sets/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"componentSetId",
"lastUpdateTimestamp",
"checksum"
],
"primaryKey": "componentSetId"
}Get Blueprint API specification for Component SetsGET/research-sys/api/v1/component-sets/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Component Sets.md"
transfer-encoding: chunkedUpdate Component SetsPUT/research-sys/api/v1/component-sets/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"componentSetId": "(val)",
"lastUpdateTimestamp": "(val)",
"checksum": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Component SetsPUT/research-sys/api/v1/component-sets/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"componentSetId": "(val)",
"lastUpdateTimestamp": "(val)",
"checksum": "(val)",
"_primaryKey": "(val)"
},
{
"componentSetId": "(val)",
"lastUpdateTimestamp": "(val)",
"checksum": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Component SetsPATCH/research-sys/api/v1/component-sets/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"componentSetId": "(val)",
"lastUpdateTimestamp": "(val)",
"checksum": "(val)",
"_primaryKey": "(val)"
}204Body
{
"componentSetId": "(val)",
"lastUpdateTimestamp": "(val)",
"checksum": "(val)",
"_primaryKey": "(val)"
}Insert Component SetsPOST/research-sys/api/v1/component-sets/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"componentSetId": "(val)",
"lastUpdateTimestamp": "(val)",
"checksum": "(val)",
"_primaryKey": "(val)"
}201Body
{
"componentSetId": "(val)",
"lastUpdateTimestamp": "(val)",
"checksum": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Component SetsPOST/research-sys/api/v1/component-sets/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"componentSetId": "(val)",
"lastUpdateTimestamp": "(val)",
"checksum": "(val)",
"_primaryKey": "(val)"
},
{
"componentSetId": "(val)",
"lastUpdateTimestamp": "(val)",
"checksum": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"componentSetId": "(val)",
"lastUpdateTimestamp": "(val)",
"checksum": "(val)",
"_primaryKey": "(val)"
},
{
"componentSetId": "(val)",
"lastUpdateTimestamp": "(val)",
"checksum": "(val)",
"_primaryKey": "(val)"
}
]Delete Component Sets by KeyDELETE/research-sys/api/v1/component-sets/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Component SetsDELETE/research-sys/api/v1/component-sets/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Component Sets with MatchingDELETE/research-sys/api/v1/component-sets/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- componentSetId
string(optional)- lastUpdateTimestamp
string(optional)- checksum
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Components ¶
Get Components by KeyGET/research-sys/api/v1/components/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"namespaceCode": "(val)",
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Get All ComponentsGET/research-sys/api/v1/components/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"namespaceCode": "(val)",
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"namespaceCode": "(val)",
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Get All Components with FilteringGET/research-sys/api/v1/components/
Example URI
- namespaceCode
string(optional)Code identifying the namespace. Maximum length is 20.
- code
string(optional)Code identifying the Component. Maximum length is 100.
- name
string(optional)The name of the Component. Maximum length is 255.
- active
string(optional)This attribute is used to describe whether the associated object is active or inactive. Maximum length is 1.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"namespaceCode": "(val)",
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"namespaceCode": "(val)",
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for ComponentsGET/research-sys/api/v1/components/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"namespaceCode",
"code",
"name",
"active"
],
"primaryKey": "code:namespaceCode"
}Get Blueprint API specification for ComponentsGET/research-sys/api/v1/components/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Components.md"
transfer-encoding: chunkedUpdate ComponentsPUT/research-sys/api/v1/components/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"namespaceCode": "(val)",
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}204Update Multiple ComponentsPUT/research-sys/api/v1/components/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"namespaceCode": "(val)",
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"namespaceCode": "(val)",
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes ComponentsPATCH/research-sys/api/v1/components/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"namespaceCode": "(val)",
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}204Body
{
"namespaceCode": "(val)",
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Insert ComponentsPOST/research-sys/api/v1/components/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"namespaceCode": "(val)",
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}201Body
{
"namespaceCode": "(val)",
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Insert Multiple ComponentsPOST/research-sys/api/v1/components/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"namespaceCode": "(val)",
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"namespaceCode": "(val)",
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"namespaceCode": "(val)",
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"namespaceCode": "(val)",
"code": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Delete Components by KeyDELETE/research-sys/api/v1/components/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All ComponentsDELETE/research-sys/api/v1/components/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Components with MatchingDELETE/research-sys/api/v1/components/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- namespaceCode
string(optional)Code identifying the namespace. Maximum length is 20.
- code
string(optional)Code identifying the Component. Maximum length is 100.
- name
string(optional)The name of the Component. Maximum length is 255.
- active
string(optional)This attribute is used to describe whether the associated object is active or inactive. Maximum length is 1.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Context Attributes ¶
Get Context Attributes by KeyGET/research-sys/api/v1/context-attributes/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}Get All Context AttributesGET/research-sys/api/v1/context-attributes/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]Get All Context Attributes with FilteringGET/research-sys/api/v1/context-attributes/
Example URI
- id
string(optional)- value
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Context AttributesGET/research-sys/api/v1/context-attributes/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"id",
"value"
],
"primaryKey": "id"
}Get Blueprint API specification for Context AttributesGET/research-sys/api/v1/context-attributes/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Context Attributes.md"
transfer-encoding: chunkedUpdate Context AttributesPUT/research-sys/api/v1/context-attributes/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Context AttributesPUT/research-sys/api/v1/context-attributes/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Context AttributesPATCH/research-sys/api/v1/context-attributes/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}204Body
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}Insert Context AttributesPOST/research-sys/api/v1/context-attributes/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}201Body
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Context AttributesPOST/research-sys/api/v1/context-attributes/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]Delete Context Attributes by KeyDELETE/research-sys/api/v1/context-attributes/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Context AttributesDELETE/research-sys/api/v1/context-attributes/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Context Attributes with MatchingDELETE/research-sys/api/v1/context-attributes/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- id
string(optional)- value
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Context Valid Actions ¶
Get Context Valid Actions by KeyGET/research-sys/api/v1/context-valid-actions/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "(val)",
"contextId": "(val)",
"actionTypeId": "(val)",
"_primaryKey": "(val)"
}Get All Context Valid ActionsGET/research-sys/api/v1/context-valid-actions/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"contextId": "(val)",
"actionTypeId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"contextId": "(val)",
"actionTypeId": "(val)",
"_primaryKey": "(val)"
}
]Get All Context Valid Actions with FilteringGET/research-sys/api/v1/context-valid-actions/
Example URI
- id
string(optional)- contextId
string(optional)- actionTypeId
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"contextId": "(val)",
"actionTypeId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"contextId": "(val)",
"actionTypeId": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Context Valid ActionsGET/research-sys/api/v1/context-valid-actions/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"id",
"contextId",
"actionTypeId"
],
"primaryKey": "id"
}Get Blueprint API specification for Context Valid ActionsGET/research-sys/api/v1/context-valid-actions/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Context Valid Actions.md"
transfer-encoding: chunkedUpdate Context Valid ActionsPUT/research-sys/api/v1/context-valid-actions/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"contextId": "(val)",
"actionTypeId": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Context Valid ActionsPUT/research-sys/api/v1/context-valid-actions/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"contextId": "(val)",
"actionTypeId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"contextId": "(val)",
"actionTypeId": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Context Valid ActionsPATCH/research-sys/api/v1/context-valid-actions/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"contextId": "(val)",
"actionTypeId": "(val)",
"_primaryKey": "(val)"
}204Body
{
"id": "(val)",
"contextId": "(val)",
"actionTypeId": "(val)",
"_primaryKey": "(val)"
}Insert Context Valid ActionsPOST/research-sys/api/v1/context-valid-actions/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"contextId": "(val)",
"actionTypeId": "(val)",
"_primaryKey": "(val)"
}201Body
{
"id": "(val)",
"contextId": "(val)",
"actionTypeId": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Context Valid ActionsPOST/research-sys/api/v1/context-valid-actions/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"contextId": "(val)",
"actionTypeId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"contextId": "(val)",
"actionTypeId": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"id": "(val)",
"contextId": "(val)",
"actionTypeId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"contextId": "(val)",
"actionTypeId": "(val)",
"_primaryKey": "(val)"
}
]Delete Context Valid Actions by KeyDELETE/research-sys/api/v1/context-valid-actions/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Context Valid ActionsDELETE/research-sys/api/v1/context-valid-actions/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Context Valid Actions with MatchingDELETE/research-sys/api/v1/context-valid-actions/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- id
string(optional)- contextId
string(optional)- actionTypeId
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Context Valid Agendas ¶
Get Context Valid Agendas by KeyGET/research-sys/api/v1/context-valid-agendas/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "(val)",
"contextId": "(val)",
"agendaTypeId": "(val)",
"_primaryKey": "(val)"
}Get All Context Valid AgendasGET/research-sys/api/v1/context-valid-agendas/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"contextId": "(val)",
"agendaTypeId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"contextId": "(val)",
"agendaTypeId": "(val)",
"_primaryKey": "(val)"
}
]Get All Context Valid Agendas with FilteringGET/research-sys/api/v1/context-valid-agendas/
Example URI
- id
string(optional)- contextId
string(optional)- agendaTypeId
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"contextId": "(val)",
"agendaTypeId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"contextId": "(val)",
"agendaTypeId": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Context Valid AgendasGET/research-sys/api/v1/context-valid-agendas/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"id",
"contextId",
"agendaTypeId"
],
"primaryKey": "id"
}Get Blueprint API specification for Context Valid AgendasGET/research-sys/api/v1/context-valid-agendas/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Context Valid Agendas.md"
transfer-encoding: chunkedUpdate Context Valid AgendasPUT/research-sys/api/v1/context-valid-agendas/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"contextId": "(val)",
"agendaTypeId": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Context Valid AgendasPUT/research-sys/api/v1/context-valid-agendas/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"contextId": "(val)",
"agendaTypeId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"contextId": "(val)",
"agendaTypeId": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Context Valid AgendasPATCH/research-sys/api/v1/context-valid-agendas/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"contextId": "(val)",
"agendaTypeId": "(val)",
"_primaryKey": "(val)"
}204Body
{
"id": "(val)",
"contextId": "(val)",
"agendaTypeId": "(val)",
"_primaryKey": "(val)"
}Insert Context Valid AgendasPOST/research-sys/api/v1/context-valid-agendas/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"contextId": "(val)",
"agendaTypeId": "(val)",
"_primaryKey": "(val)"
}201Body
{
"id": "(val)",
"contextId": "(val)",
"agendaTypeId": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Context Valid AgendasPOST/research-sys/api/v1/context-valid-agendas/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"contextId": "(val)",
"agendaTypeId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"contextId": "(val)",
"agendaTypeId": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"id": "(val)",
"contextId": "(val)",
"agendaTypeId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"contextId": "(val)",
"agendaTypeId": "(val)",
"_primaryKey": "(val)"
}
]Delete Context Valid Agendas by KeyDELETE/research-sys/api/v1/context-valid-agendas/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Context Valid AgendasDELETE/research-sys/api/v1/context-valid-agendas/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Context Valid Agendas with MatchingDELETE/research-sys/api/v1/context-valid-agendas/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- id
string(optional)- contextId
string(optional)- agendaTypeId
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Context Valid Rules ¶
Get Context Valid Rules by KeyGET/research-sys/api/v1/context-valid-rules/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "(val)",
"contextId": "(val)",
"ruleTypeId": "(val)",
"_primaryKey": "(val)"
}Get All Context Valid RulesGET/research-sys/api/v1/context-valid-rules/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"contextId": "(val)",
"ruleTypeId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"contextId": "(val)",
"ruleTypeId": "(val)",
"_primaryKey": "(val)"
}
]Get All Context Valid Rules with FilteringGET/research-sys/api/v1/context-valid-rules/
Example URI
- id
string(optional)- contextId
string(optional)- ruleTypeId
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"contextId": "(val)",
"ruleTypeId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"contextId": "(val)",
"ruleTypeId": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Context Valid RulesGET/research-sys/api/v1/context-valid-rules/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"id",
"contextId",
"ruleTypeId"
],
"primaryKey": "id"
}Get Blueprint API specification for Context Valid RulesGET/research-sys/api/v1/context-valid-rules/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Context Valid Rules.md"
transfer-encoding: chunkedUpdate Context Valid RulesPUT/research-sys/api/v1/context-valid-rules/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"contextId": "(val)",
"ruleTypeId": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Context Valid RulesPUT/research-sys/api/v1/context-valid-rules/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"contextId": "(val)",
"ruleTypeId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"contextId": "(val)",
"ruleTypeId": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Context Valid RulesPATCH/research-sys/api/v1/context-valid-rules/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"contextId": "(val)",
"ruleTypeId": "(val)",
"_primaryKey": "(val)"
}204Body
{
"id": "(val)",
"contextId": "(val)",
"ruleTypeId": "(val)",
"_primaryKey": "(val)"
}Insert Context Valid RulesPOST/research-sys/api/v1/context-valid-rules/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"contextId": "(val)",
"ruleTypeId": "(val)",
"_primaryKey": "(val)"
}201Body
{
"id": "(val)",
"contextId": "(val)",
"ruleTypeId": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Context Valid RulesPOST/research-sys/api/v1/context-valid-rules/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"contextId": "(val)",
"ruleTypeId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"contextId": "(val)",
"ruleTypeId": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"id": "(val)",
"contextId": "(val)",
"ruleTypeId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"contextId": "(val)",
"ruleTypeId": "(val)",
"_primaryKey": "(val)"
}
]Delete Context Valid Rules by KeyDELETE/research-sys/api/v1/context-valid-rules/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Context Valid RulesDELETE/research-sys/api/v1/context-valid-rules/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Context Valid Rules with MatchingDELETE/research-sys/api/v1/context-valid-rules/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- id
string(optional)- contextId
string(optional)- ruleTypeId
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Context Valid Terms ¶
Get Context Valid Terms by KeyGET/research-sys/api/v1/context-valid-terms/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "(val)",
"contextId": "(val)",
"_primaryKey": "(val)"
}Get All Context Valid TermsGET/research-sys/api/v1/context-valid-terms/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"contextId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"contextId": "(val)",
"_primaryKey": "(val)"
}
]Get All Context Valid Terms with FilteringGET/research-sys/api/v1/context-valid-terms/
Example URI
- id
string(optional)- contextId
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"contextId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"contextId": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Context Valid TermsGET/research-sys/api/v1/context-valid-terms/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"id",
"contextId"
],
"primaryKey": "id"
}Get Blueprint API specification for Context Valid TermsGET/research-sys/api/v1/context-valid-terms/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Context Valid Terms.md"
transfer-encoding: chunkedUpdate Context Valid TermsPUT/research-sys/api/v1/context-valid-terms/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"contextId": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Context Valid TermsPUT/research-sys/api/v1/context-valid-terms/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"contextId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"contextId": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Context Valid TermsPATCH/research-sys/api/v1/context-valid-terms/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"contextId": "(val)",
"_primaryKey": "(val)"
}204Body
{
"id": "(val)",
"contextId": "(val)",
"_primaryKey": "(val)"
}Insert Context Valid TermsPOST/research-sys/api/v1/context-valid-terms/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"contextId": "(val)",
"_primaryKey": "(val)"
}201Body
{
"id": "(val)",
"contextId": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Context Valid TermsPOST/research-sys/api/v1/context-valid-terms/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"contextId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"contextId": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"id": "(val)",
"contextId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"contextId": "(val)",
"_primaryKey": "(val)"
}
]Delete Context Valid Terms by KeyDELETE/research-sys/api/v1/context-valid-terms/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Context Valid TermsDELETE/research-sys/api/v1/context-valid-terms/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Context Valid Terms with MatchingDELETE/research-sys/api/v1/context-valid-terms/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- id
string(optional)- contextId
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Contexts ¶
Get Contexts by KeyGET/research-sys/api/v1/contexts/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"typeId": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Get All ContextsGET/research-sys/api/v1/contexts/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"typeId": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"typeId": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Get All Contexts with FilteringGET/research-sys/api/v1/contexts/
Example URI
- id
string(optional)Context Id.
- name
string(optional)Context Name.
- namespace
string(optional)Context Namespace.
- typeId
string(optional)Context Type Id.
- description
string(optional)Description.
- active
string(optional)This attribute is used to describe whether the associated object is active or inactive. Maximum length is 1.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"typeId": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"typeId": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for ContextsGET/research-sys/api/v1/contexts/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"id",
"name",
"namespace",
"typeId",
"description",
"active"
],
"primaryKey": "id"
}Get Blueprint API specification for ContextsGET/research-sys/api/v1/contexts/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Contexts.md"
transfer-encoding: chunkedUpdate ContextsPUT/research-sys/api/v1/contexts/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"typeId": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}204Update Multiple ContextsPUT/research-sys/api/v1/contexts/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"typeId": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"typeId": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes ContextsPATCH/research-sys/api/v1/contexts/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"typeId": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}204Body
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"typeId": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Insert ContextsPOST/research-sys/api/v1/contexts/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"typeId": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}201Body
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"typeId": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Insert Multiple ContextsPOST/research-sys/api/v1/contexts/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"typeId": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"typeId": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"typeId": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"name": "(val)",
"namespace": "(val)",
"typeId": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Delete Contexts by KeyDELETE/research-sys/api/v1/contexts/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All ContextsDELETE/research-sys/api/v1/contexts/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Contexts with MatchingDELETE/research-sys/api/v1/contexts/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- id
string(optional)Context Id.
- name
string(optional)Context Name.
- namespace
string(optional)Context Namespace.
- typeId
string(optional)Context Type Id.
- description
string(optional)Description.
- active
string(optional)This attribute is used to describe whether the associated object is active or inactive. Maximum length is 1.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Counties ¶
Get Counties by KeyGET/research-sys/api/v1/counties/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"code": "(val)",
"countryCode": "(val)",
"stateCode": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Get All CountiesGET/research-sys/api/v1/counties/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"code": "(val)",
"countryCode": "(val)",
"stateCode": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"countryCode": "(val)",
"stateCode": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Get All Counties with FilteringGET/research-sys/api/v1/counties/
Example URI
- code
string(optional)The ten digit code for a County. Maximum length is 10.
- countryCode
string(optional)The code uniquely identify a country. Maximum length is 2.
- stateCode
string(optional)Postal State Code. Maximum length is 2.
- name
string(optional)The name assigned to this County. Maximum length is 100.
- active
string(optional)This attribute is used to describe whether the associated object is active or inactive. Maximum length is 1.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"code": "(val)",
"countryCode": "(val)",
"stateCode": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"countryCode": "(val)",
"stateCode": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for CountiesGET/research-sys/api/v1/counties/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"code",
"countryCode",
"stateCode",
"name",
"active"
],
"primaryKey": "code:countryCode:stateCode"
}Get Blueprint API specification for CountiesGET/research-sys/api/v1/counties/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Counties.md"
transfer-encoding: chunkedUpdate CountiesPUT/research-sys/api/v1/counties/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"code": "(val)",
"countryCode": "(val)",
"stateCode": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}204Update Multiple CountiesPUT/research-sys/api/v1/counties/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"code": "(val)",
"countryCode": "(val)",
"stateCode": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"countryCode": "(val)",
"stateCode": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes CountiesPATCH/research-sys/api/v1/counties/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"code": "(val)",
"countryCode": "(val)",
"stateCode": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}204Body
{
"code": "(val)",
"countryCode": "(val)",
"stateCode": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Insert CountiesPOST/research-sys/api/v1/counties/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"code": "(val)",
"countryCode": "(val)",
"stateCode": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}201Body
{
"code": "(val)",
"countryCode": "(val)",
"stateCode": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Insert Multiple CountiesPOST/research-sys/api/v1/counties/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"code": "(val)",
"countryCode": "(val)",
"stateCode": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"countryCode": "(val)",
"stateCode": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"code": "(val)",
"countryCode": "(val)",
"stateCode": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"countryCode": "(val)",
"stateCode": "(val)",
"name": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Delete Counties by KeyDELETE/research-sys/api/v1/counties/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All CountiesDELETE/research-sys/api/v1/counties/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Counties with MatchingDELETE/research-sys/api/v1/counties/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- code
string(optional)The ten digit code for a County. Maximum length is 10.
- countryCode
string(optional)The code uniquely identify a country. Maximum length is 2.
- stateCode
string(optional)Postal State Code. Maximum length is 2.
- name
string(optional)The name assigned to this County. Maximum length is 100.
- active
string(optional)This attribute is used to describe whether the associated object is active or inactive. Maximum length is 1.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Countries ¶
Get Countries by KeyGET/research-sys/api/v1/countries/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"code": "(val)",
"alternateCode": "(val)",
"name": "(val)",
"restricted": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Get All CountriesGET/research-sys/api/v1/countries/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"code": "(val)",
"alternateCode": "(val)",
"name": "(val)",
"restricted": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"alternateCode": "(val)",
"name": "(val)",
"restricted": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Get All Countries with FilteringGET/research-sys/api/v1/countries/
Example URI
- code
string(optional)The code uniquely identify a country. Maximum length is 2.
- alternateCode
string(optional)The code uniquely identify a country. Maximum length is 3.
- name
string(optional)Postal Country Name… Maximum length is 255.
- restricted
string(optional)Restricted.
- active
string(optional)This attribute is used to describe whether the associated object is active or inactive. Maximum length is 1.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"code": "(val)",
"alternateCode": "(val)",
"name": "(val)",
"restricted": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"alternateCode": "(val)",
"name": "(val)",
"restricted": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for CountriesGET/research-sys/api/v1/countries/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"code",
"alternateCode",
"name",
"restricted",
"active"
],
"primaryKey": "code"
}Get Blueprint API specification for CountriesGET/research-sys/api/v1/countries/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Countries.md"
transfer-encoding: chunkedUpdate CountriesPUT/research-sys/api/v1/countries/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"code": "(val)",
"alternateCode": "(val)",
"name": "(val)",
"restricted": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}204Update Multiple CountriesPUT/research-sys/api/v1/countries/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"code": "(val)",
"alternateCode": "(val)",
"name": "(val)",
"restricted": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"alternateCode": "(val)",
"name": "(val)",
"restricted": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes CountriesPATCH/research-sys/api/v1/countries/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"code": "(val)",
"alternateCode": "(val)",
"name": "(val)",
"restricted": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}204Body
{
"code": "(val)",
"alternateCode": "(val)",
"name": "(val)",
"restricted": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Insert CountriesPOST/research-sys/api/v1/countries/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"code": "(val)",
"alternateCode": "(val)",
"name": "(val)",
"restricted": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}201Body
{
"code": "(val)",
"alternateCode": "(val)",
"name": "(val)",
"restricted": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Insert Multiple CountriesPOST/research-sys/api/v1/countries/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"code": "(val)",
"alternateCode": "(val)",
"name": "(val)",
"restricted": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"alternateCode": "(val)",
"name": "(val)",
"restricted": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"code": "(val)",
"alternateCode": "(val)",
"name": "(val)",
"restricted": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"alternateCode": "(val)",
"name": "(val)",
"restricted": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Delete Countries by KeyDELETE/research-sys/api/v1/countries/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All CountriesDELETE/research-sys/api/v1/countries/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Countries with MatchingDELETE/research-sys/api/v1/countries/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- code
string(optional)The code uniquely identify a country. Maximum length is 2.
- alternateCode
string(optional)The code uniquely identify a country. Maximum length is 3.
- name
string(optional)Postal Country Name… Maximum length is 255.
- restricted
string(optional)Restricted.
- active
string(optional)This attribute is used to describe whether the associated object is active or inactive. Maximum length is 1.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delegate Member Attribute Data ¶
Get Delegate Member Attribute Data by KeyGET/research-sys/api/v1/delegate-member-attribute-data/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "(val)",
"assignedToId": "(val)",
"attributeValue": "(val)",
"kimTypeId": "(val)",
"kimAttributeId": "(val)",
"_primaryKey": "(val)"
}Get All Delegate Member Attribute DataGET/research-sys/api/v1/delegate-member-attribute-data/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"assignedToId": "(val)",
"attributeValue": "(val)",
"kimTypeId": "(val)",
"kimAttributeId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"assignedToId": "(val)",
"attributeValue": "(val)",
"kimTypeId": "(val)",
"kimAttributeId": "(val)",
"_primaryKey": "(val)"
}
]Get All Delegate Member Attribute Data with FilteringGET/research-sys/api/v1/delegate-member-attribute-data/
Example URI
- id
string(optional)- assignedToId
string(optional)- attributeValue
string(optional)- kimTypeId
string(optional)- kimAttributeId
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"assignedToId": "(val)",
"attributeValue": "(val)",
"kimTypeId": "(val)",
"kimAttributeId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"assignedToId": "(val)",
"attributeValue": "(val)",
"kimTypeId": "(val)",
"kimAttributeId": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Delegate Member Attribute DataGET/research-sys/api/v1/delegate-member-attribute-data/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"id",
"assignedToId",
"attributeValue",
"kimTypeId",
"kimAttributeId"
],
"primaryKey": "id"
[...]
